Subject: Re: linux-next: build failure after merge final merge

From: Jesse Barnes <[email-masked]>
Date: Tue, 16 Feb 2010 08:36:51 -0800

On Tue, 16 Feb 2010 18:36:50 +1100
Stephen Rothwell <[email-masked]> wrote:

> Hi Jesse,
> 
> After merging, today's linux-next build (sparc64 defconfig) failed
> like this:
> 
> arch/sparc/kernel/pci.c: In function 'pci_cfg_fake_ranges':
> arch/sparc/kernel/pci.c:404: error: 'struct pci_bus' has no member
> named 'resource' arch/sparc/kernel/pci.c:419: error: 'struct pci_bus'
> has no member named 'resource' arch/sparc/kernel/pci.c:450: error:
> 'struct pci_bus' has no member named 'resource'
> arch/sparc/kernel/pci.c: In function 'apb_fake_ranges':
> arch/sparc/kernel/pci.c:473: error: 'struct pci_bus' has no member
> named 'resource' arch/sparc/kernel/pci.c:481: error: 'struct pci_bus'
> has no member named 'resource' arch/sparc/kernel/pci.c: In function
> 'of_scan_pci_bridge': arch/sparc/kernel/pci.c:539: error: 'struct
> pci_bus' has no member named 'resource' arch/sparc/kernel/pci.c:558:
> error: 'struct pci_bus' has no member named 'resource'
> arch/sparc/kernel/pci.c:571: error: 'struct pci_bus' has no member
> named 'resource' arch/sparc/kernel/pci.c: In function
> 'pci_scan_one_pbm': arch/sparc/kernel/pci.c:693: error: 'struct
> pci_bus' has no member named 'resource' arch/sparc/kernel/pci.c:694:
> error: 'struct pci_bus' has no member named 'resource'
> arch/sparc/kernel/pci.c: In function 'pcibios_fixup_bus':
> arch/sparc/kernel/pci.c:710: error: 'struct pci_bus' has no member
> named 'resource' arch/sparc/kernel/pci.c:711: error: 'struct pci_bus'
> has no member named 'resource'
> 
> Cause by commit 94a8887c501b22a2818ee58197864e9eab983510 ("PCI:
> replace bus resource table with a list") from the pci tree.  I don't
> know why I didn't notice this failure yesterday.
> 
> I have reverted that commit and the following 4 commits from the pci
> tree for today:
> 
> 6b673390ae99fbaeeafc40a6e42ba97e1beada0b "x86/PCI: use host bridge
> _CRS info by default on 2008 and newer machines"
> 6776104e550aa6600549e204865cb3d4ed29e04e "PCI: make disabled window
> 	printk style match the enabled ones"
> a0266ed60a7ac8ce5c97d860cd927ba542325cb4 "PCI: break out
> 	primary/secondary/subordinate for readability"
> 0c2a8aaaba0d1a16a468cf48ba2fec6139d20a66 "PCI: reference bridge window
> 	resources explicitly"
> 
> Jesse, can you please remove these commits from the pci tree until the
> above problem is fixed.
> 
> OK, I just checked the build results for last night
> (http://kisskb.ellerman.id.au/kisskb/head/2579/) and there are quite
> a few more (alpha, some arm, parisc and more ...) ... please fix them
> up as well.  Try something like:
> 
> git grep -l -w resource $(git grep -l -w 'struct pci_bus')
> 
> for a starting list of files to check.

Arg I thought we had fixed this one; maybe I applied an old patchset...
Bjorn?

Thanks,
-- 
Jesse Barnes, Intel Open Source Technology Center